import pytest
from sqlalchemy import table

from shared.schema.src.schema import create_session, Project

session = create_session('SDM', profile='local')
to_insert = Project(project_code='FAKE_TEST_PROJECT',
                    title='Move along move along nothing to see here',
                    starttime=56688.8103640046,
                    endtime=-56810.4840497685,
                    proprietary_duration=120)
try:
    table(Project).insert(to_insert)
    session.commit()
    session.flush()
except Exception as exc:
    pytest.fail(f'insert failed: {exc}')

try:
    retrieved = session.query(Project).filter(Project==to_insert).first()
    if retrieved is None:
        pytest.fail(f'{to_insert} not found')
except Exception as exc:
    pytest.fail(f'retrieval failed: {exc}')

